using UnityEngine;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking.Debugging
{
    [RequireComponent(typeof(ARCameraManager))]
    public class ARCameraManagerDebugger : MonoBehaviour
    {
        private ARCameraManager _arCameraManager;

        private void Awake()
        {
            _arCameraManager = GetComponent<ARCameraManager>();
        }

        private void OnEnable()
        {
            if (_arCameraManager) _arCameraManager.frameReceived += OnCameraFrameReceived;
        }

        private void OnDisable()
        {
            if (_arCameraManager) _arCameraManager.frameReceived -= OnCameraFrameReceived;
        }

        private void OnCameraFrameReceived(ARCameraFrameEventArgs arCameraFrameEventArgs)
        {
            Debug.Log("Frame Received");
        }
    }
}
