using UnityEngine;
using UnityEngine.UI;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking.SessionManagement
{
    [RequireComponent(typeof(Button))]
    public class ARSessionResetter : MonoBehaviour
    {
        private Button _button;

        private void Awake()
        {
            _button = GetComponent<Button>();
        }

        private void OnEnable()
        {
            if (_button) _button.onClick.AddListener(OnClick);
        }

        private void OnDisable()
        {
            if (_button) _button.onClick.RemoveListener(OnClick);
        }

        private void OnClick()
        {
            ARSession session = FindObjectOfType<ARSession>();
            if (session) session.Reset();
        }
    }
}
